package com.goafanti.cognizance.service;

import java.text.ParseException;
import java.util.List;

import com.goafanti.common.model.OrgActivityCost;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgActivityCostService {

	Pagination<OrgActivityCost> listOrgActivityCost(String activityNumber, String startDateFormattedDate, String endDateFormattedDate,
			Integer pNo, Integer pSize, String userId, Integer year) throws ParseException;

	int batchDeleteByPrimaryKey(List<String> id);

	OrgActivityCost insert(OrgActivityCost orgActivityCost);

	int updateByPrimaryKeySelective(OrgActivityCost orgActivityCost);

	List<OrgActivityCost> selectOrgActivityCostByAid(String id);

	int deleteByAid(List<String> id);

	OrgActivityCost selectOrgActivityCostByUidAndAidAndYear(String aid, String userId, Integer year);

	OrgActivityCost selectByPrimaryKey(String id);

	OrgActivityCost selectOrgActivityCostByAidAndYear(String aid, Integer year);

}
